﻿Imports Telerik.Windows.Controls

Public Class AlternatingStyleSelector
    Inherits StyleSelector

    Public Overrides Function SelectStyle(ByVal item As Object, ByVal container As System.Windows.DependencyObject) As System.Windows.Style
        Dim tvwTreeView As RadTreeView = ItemsControl.ItemsControlFromItemContainer(container)
        Dim intIndex As Integer = tvwTreeView.ItemContainerGenerator.IndexFromContainer(container)
        Dim objStyle As New Style
        Dim objBackgroundSetter As New Setter

        objStyle.TargetType = GetType(RadTreeViewItem)

        If intIndex Mod 2 = 0 Then
            objBackgroundSetter.Property = RadTreeViewItem.BackgroundProperty
            objBackgroundSetter.Value = New SolidColorBrush(Color.FromArgb(&HFF, &HBA, &HDE, &HEC))
        Else
            objBackgroundSetter.Property = RadTreeViewItem.BackgroundProperty
            objBackgroundSetter.Value = New SolidColorBrush(Color.FromArgb(&HFF, &HFF, &HFF, &H0))
        End If

        objStyle.Setters.Add(objBackgroundSetter)

        Return objStyle

    End Function

End Class
